:root {
  --red: #C5004A;
  --darkred: #7F0036;
  --lightgray: #e0e0e0;
  --gray: #C0C0C0;
  --darkgray: #333;
  --navy: #17050F;
  --blue: #082840;
  --white: #fff;
}
* {
  box-sizing: border-box;
}
html,
body {
  padding: 0;
  margin: 0;
  font-family: system-ui, sans-serif;
  color: var(--darkgray);
  background-color: var(--white);
}
p:last-child {
  margin-bottom: 0;
}
.tmpl-post li{
  max-width: 37.5em; /* 600px /16 */
}
p,
.tmpl-post li {
  line-height: 1.45;
}
a[href] {
  color: var(--blue);
}
a[href]:visited {
  color: var(--navy);
}
main :first-child {
  margin-top: 0;
}
header {
  border-bottom: 1px dashed var(--lightgray);
}
header:after {
  content: "";
  display: table;
  clear: both;
}
table {
  margin: 1em 0;
}
table td,
table th {
  padding-right: 1em;
}

pre,
code {
  font-family: Consolas, Menlo, Monaco, "Andale Mono WT", "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", "DejaVu Sans Mono", "Bitstream Vera Sans Mono", "Liberation Mono", "Nimbus Mono L", "Courier New", Courier, monospace;
  line-height: 1.5;
}
pre {
  font-size: 14px;
  line-height: 1.375;
  direction: ltr;
  text-align: left;
  white-space: pre;
  word-spacing: normal;
  word-break: normal;
  -moz-tab-size: 2;
  -o-tab-size: 2;
  tab-size: 2;
  -webkit-hyphens: none;
  -moz-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
  padding: 1em;
  margin: .5em 0;
  background-color: #f6f6f6;
}
.highlight-line {
  display: block;
  padding: 0.125em 1em;
  text-decoration: none; /* override del, ins, mark defaults */
  color: inherit; /* override del, ins, mark defaults */
}

/* allow highlighting empty lines */
.highlight-line:empty:before {
  content: " ";
}
/* avoid double line breaks when using display: block; */
.highlight-line + br {
  display: none;
}

.highlight-line-isdir {
  color: #b0b0b0;
  background-color: #222;
}
.highlight-line-active {
  background-color: #444;
  background-color: hsla(0, 0%, 27%, .8);
}
.highlight-line-add {
  background-color: #45844b;
}
.highlight-line-remove {
  background-color: #902f2f;
}

/* Header */
.home {
  padding: 0 1rem;
  float: left;
  margin: 1rem 0; /* 16px /16 */
  font-size: 1em; /* 16px /16 */
}
.home :link:not(:hover) {
  text-decoration: none;
}

/* Nav */
.nav {
  padding: 0;
  list-style: none;
  float: left;
  margin-left: 1em;
}
.nav-item {
  display: inline-block;
  margin-right: 1em;
}
.nav-item a[href]:not(:hover) {
  text-decoration: none;
}
.nav-item-active {
  font-weight: 700;
  text-decoration: underline;
}

/* Posts list */
.postlist {
  list-style: none;
  padding: 0;
}
.postlist-item {
  counter-increment: start-from -1;
}
.postlist-item:before {
  display: inline-block;
  pointer-events: none;
  content: "" counter(start-from, decimal-leading-zero) ". ";
  line-height: 100%;
  text-align: right;
}
.postlist-date,
.postlist-item:before {
  font-size: 0.8125em; /* 13px /16 */
  color: var(--darkgray);
}
.postlist-date {
  word-spacing: -0.5px;
}
.postlist-link {
  display: inline-block;
  padding: 0.25em 0.1875em; /* 4px 3px /16 */
}
.postlist-item-active .postlist-link {
  font-weight: bold;
}
.tmpl-home .postlist-link {
  font-size: 1.1875em; /* 19px /16 */
  font-weight: 700;
}


/* Tags */
.post-tag {
  display: inline-block;
  vertical-align: text-top;
  text-transform: uppercase;
  font-size: 0.625em; /* 10px /16 */
  padding: 2px 4px;
  margin-left: 0.8em; /* 8px /10 */
  background-color: var(--red);
  color: var(--white);
  border-radius: 0.25em; /* 3px /12 */
  text-decoration: none;
}
a[href].post-tag,
a[href].post-tag:visited {
  color: #fff;
}

/* Warning */
.warning {
  background-color: #ffc;
  padding: 1em 0.625em; /* 16px 10px /16 */
}
.warning ol:only-child {
  margin: 0;
}

/* Direct Links / Markdown Headers */
.direct-link {
  font-family: sans-serif;
  text-decoration: none;
  font-style: normal;
  margin-left: .1em;
}
a[href].direct-link,
a[href].direct-link:visited {
  color: transparent;
}
a[href].direct-link:focus,
a[href].direct-link:focus:visited,
:hover > a[href].direct-link,
:hover > a[href].direct-link:visited {
  color: #aaa;
}
img{
  max-width:100%;
}
.slideTitle{
  font-size:40px;
}
.carousel-caption{
  background-color: rgb(100, 100, 100, 0.4);
}
body{
  padding-bottom:100px;
}
footer{
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 60px;
  text-align: left;
  color: aliceblue;
  background-color: #212529;
  box-shadow: 3px -3px 3px #000;
  padding-bottom: 10px;
}
footer div a{
  color: aliceblue!important;
}



/*======================================*/
/*     Fifth post's table style       */
/*======================================*/

.tftable {
  font-size:12px;
  background:url("/img/leopardskin.jpg");
  width:100%;
  border-width: 2px;
  border-color:#800080;
  border-collapse: collapse; 
}
.tftable th {
  font-size:12px;
  border-width: 2px;
  padding: 8px;
  border-style: solid;
  border-color: #800080;
  text-align:center;
  font-family: 'Rock Salt', cursive;
  color: #fff;
}
    
.tftable td {
  font-size:12px;
  padding: 8px;
  text-align:center;
}

#r1, #r3, #r5, #r7{
  background-color:#ff33cc;
}
#r2, #r4, #r6, #r8{
  background-color:#e495e4;
}
#tbtitle, #total{
  font-family: 'Rock Salt', cursive;
  text-align:right;
}
#totalnum{
  text-align:left;
}
.iframe-container{
  position: relative;
  width: 100%;
  padding-bottom: 56.25%; 
  height: 0;
  margin-right: 30px;
  margin-bottom: 30px;
}
.iframe-container iframe{
  position: absolute;
  top:0;
  left: 0;
  width: 100%;
  height: 100%;
  box-shadow: 3px 3px 3px #000;
}
aside{
  /*width: calc(25% - 60px);*/
  float: right;
  border-left: none;
  padding:30px;
  background-color: rgb(14, 40, 41);
  color: aliceblue;
  font-family: 'Chakra Petch', sans-serif;
  box-shadow: 3px 3px 3px #000;
  margin-bottom: 20px;
}

aside h5{
  font-family: 'Monoton', cursive;
  text-align: justify;
}
.hero{
    box-shadow: 3px 3px 3px #000;
    
}
.iframe-container{
    position: relative;
    width: 100%;
    padding-bottom: 56.25%; 
    height: 0;
    margin-right: 30px;
  }
  .iframe-container iframe{
    position: absolute;
    top:0;
    left: 0;
    width: 100%;
    height: 100%;
    box-shadow: 3px 3px 3px #000;
  }
  .odd, .even {
    float: left;
    text-align: center; 
    display: block;
    width: 300px;
    border: 1px solid blue;
    margin: 2px;
  }
  .readingList{
    border: 1px solid blue;
    margin: 10px;
    padding: 5px;
  }